[![KendoReact NPM Banner](https://raw.githubusercontent.com/telerik/kendo-react/master/images/kendoreact-github-banner.png)](https://www.telerik.com/kendo-react-ui/components/free?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges&utm_content=banner)

# KendoReact Gauges Library for React

> **Important**
>
> -   This package is а part of [KendoReact](https://www.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges)&mdash;an enterprise-grade UI library with 120+ free and premium components.
> -   It provides premium KendoReact components and features. You will need to install a license key when adding the package to your project. For more information, please refer to the [KendoReact My License page](https://www.telerik.com/kendo-react-ui/components/my-license/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges).
> -   To receive a license key, you need to either [purchase a license](https://www.telerik.com/kendo-react-ui/pricing?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges) or register for a [free trial](https://www.telerik.com/try/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges). Doing so indicates that you [accept the KendoReact License Agreement](https://www.telerik.com/purchase/license-agreement/progress-kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges).
> -   The 30-day free trial gives you access to all KendoReact components and their full functionality. Additionally, for the period of your trial, you can use our legendary technical support provided directly by the KendoReact dev team!
>
> [Start using KendoReact](https://www.telerik.com/try/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges) and speed up your development process!
>
> If you're looking for free React components, check out [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free).

The React Gauges, part of KendoReact, provide a set of React components for building beautiful and customizable gauges.

What's in this package (ToC):

-   [React ArcGauge component](#react-arcgauge-component)
-   [React CircularGauge component](#react-circulargauge-component)
-   [React LinearGauge component](#react-lineargauge-component)
-   [React RadialGauge component](#react-radialgauge-component)
-   [React Gauges Library Shared Features](#react-gauges-library-shared-features)
-   [Support Options](#support-options)
-   [Resources](#resources)

## React ArcGauge Component

[The KendoReact ArcGauge component](https://www.telerik.com/kendo-react-ui/components/gauges/arcgauge/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges) is perfect for representing value ranges across a sleek looking arc. This React component features the ability to define a minimum and maximum angle, letting arcs range from 0 to 360 degrees, and the current value will be displayed within the arc itself as well as a template in the middle of the component.

## React CircularGauge Component

[The KendoReact Circular Gauge component](https://www.telerik.com/kendo-react-ui/components/gauges/circulargauge/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges) is a data visualization component that represents a value within a full-circle arc. This eye-catching React component is compact, simple to bind to data sources and provides a broad set of configuration options to ensure a natural fit in any React application.

## React LinearGauge Component

[The KendoReact LinearGauge component](https://www.telerik.com/kendo-react-ui/components/gauges/lineargauge/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges) represents values on a linear scale, providing not just a bar to showcase current value but also a scale of tick and labels to help showcase what the value represents. The React LinearGauge can be rendered in both horizontal and vertical modes.

## React RadialGauge Component

[The KendoReact RadialGauge component](https://www.telerik.com/kendo-react-ui/components/gauges/radialgauge/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges) represents values on a circular arc with a centralized pointer to indicate the current value. The gauge can animate the pointer to various values, provides support for multiple pointers and allows for deep customization with the out-of-the-box configuration options.

## React Gauges Library Shared Features

Among the many features which the KendoReact Gauges deliver are:

-   **Scale options**&mdash;You can customize the color, width range and other scale options.
-   **Globalization**&mdash; Using the globalization feature you can format the gauges value based on the culture and use RTL.
-   **Export**&mdash;The gauges can be exported to an image, a PDF or a SVG allowing to easily save them locally or on the server.
-   [**Theme support**](https://www.telerik.com/kendo-react-ui/components/styling/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges)&mdash;The KendoReact Gauges, as well as all 100+ components in the KendoReact suite, are styled in three polished themes (Bootstrap, Material, and Default) and can be further customized to match your specific design guidelines.

## Support Options

For any issues you might encounter while working with the KendoReact Gauges, use any of the available support channels:

-   Industry-leading technical support&mdash;KendoReact paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use [the dedicated KendoReact support system](https://www.telerik.com/account/support-center/contact-us/technical-support?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges).
-   Product forums&mdash;The [KendoReact forums](https://www.telerik.com/forums/kendo-ui-react?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges) are part of the free support you can get from the community and from the KendoReact team.
-   Feedback portal&mdash;The [KendoReact feedback portal](https://feedback.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges) is where you can request and vote for new features to be added.

## Resources

-   [Getting Started with KendoReact](https://www.telerik.com/kendo-react-ui/components/getting-started/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges)
-   [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free)
-   [Getting Started with the KendoReact Gauges](https://www.telerik.com/kendo-react-ui/components/gauges/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges)
-   [API Reference of the KendoReact gauges](https://www.telerik.com/kendo-react-ui/components/gauges/api/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges)
-   [KendoReact Roadmap](https://www.telerik.com/support/whats-new/kendo-react-ui/roadmap?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges)
-   [Blogs](https://www.telerik.com/blogs/tag/kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges)
-   [Demos, documentation, and component reference](https://www.telerik.com/kendo-react-ui/components/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges)
-   [KendoReact pricing and licensing](https://www.telerik.com/kendo-react-ui/pricing?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges)
-   [Changelog](https://www.telerik.com/kendo-react-ui/components/changelogs/ui-for-react/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-gauges)

High-level component overview pages

-   [React ArcGauge Component](https://www.telerik.com/kendo-react-ui/arcgauge)
-   [React Circular Gauge Component](https://www.telerik.com/kendo-react-ui/circulargauge)
-   [React LinearGauge Component](https://www.telerik.com/kendo-react-ui/lineargauge)
-   [React RadialGauge Component](https://www.telerik.com/kendo-react-ui/radialgauge)

_Copyright © 2025 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved._

_Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries._
